:root {
    --mc: #f8d10a;
}

.font_P {
    font-family: 'Pretendard';
}

.font_Red {
    font-family: 'Red Hat Display';
}

* {
    outline: 1px solid --red;
}

::selection {
    background: var(--mc);
}

.inner {
    width: 1600px;
    margin: 0 auto;
}

.gnb {
    position: fixed;
    inset: 50% 50px auto auto;
    transform: translate(0, -50%);
    z-index: 999;
    line-height: 30px;
}

.gnb a {
    position: relative;
    display: block;
    line-height: 40px;
    padding: 0 0 0 30px;
    font-size: 0;
}

.gnb a::before {
    content: "";
    position: absolute;
    inset: 50% auto auto 0;
    transform: translate(-50%, -50%);

    width: 5px;
    height: 5px;
    background: #999;
    border-radius: 50%;

    transition: 0.3s;
}

.gnb a::after {
    content: "";
    position: absolute;
    inset: 50% auto auto 0;
    transform: translate(-50%, -50%);

    width: 20px;
    height: 20px;
    border: 1px solid #999;
    border-radius: 50%;
    transition: 0.5s;
    opacity: 0;
}

.gnb li.on a::after {
    opacity: 0.5;
}

.title {
    position: fixed;
    inset: 50px auto auto 50px;
    z-index: 999;

    font-size: 39px;
    font-weight: 700;
    color: var(--mc);
}

.section {
    background: #fff;
    color: #333;
    text-align: center;
}

.section .sub01 {
    filter: grayscale(1);
    transition: 0.5s;
}

.section.on .sub01 {
    filter: grayscale(0);
    opacity: 1;
    transition: 0.5s 0.5s;
}


/* .index_bg {
    background: #fffcf2;
    background: url(../img/bg.jpg)no-repeat center center/cover;
} */

.index {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1600px;
    height: 100vh;
    margin: 0 auto;
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
}

h2 {
    position: relative;
    font-size: 41px;
    font-weight: 300;
    margin: 0 0 25px 0;
    color: #333;
}

h2 b {
    font-size: 51px;
    font-weight: 700;
}

/* box */
/* .box {
    position: absolute;
    inset: -5px auto auto 0;
    width: 45px;
    height: 45px;
    background: var(--mc);
    border-radius: 50%;
    animation: boxmove 8s infinite ease;
    z-index: -1;
} */

/* @keyframes boxmove {
    0% {
        opacity: 0;
        transform: translate(-160px, -50px) scale(0.2);
    }

    50% {
        opacity: 1;
        transform: translate(150px, 68px) scale(1);
    }

    60% {
        opacity: 1;
        transform: translate(285px, 68px) scale(1);
    }

    100% {
        opacity: 0;
        transform: translate(600px, -50px) scale(0.2);
    }
} */

.box {
    position: absolute;
    inset: -10px -10px auto auto;
    width: 40px;
    height: 40px;
    background: var(--mc);
    border-radius: 50%;
    z-index: -1;
}

.box::before {
    content: '';
    position: absolute;
    inset: -20px -20px auto auto;
    z-index: -1;
    width: 80px;
    height: 80px;
    background: var(--mc);
    border-radius: 50%;
    opacity: .5;
    animation: scale-up 2.5s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
}

@keyframes scale-up {
    100% {
        opacity: 0.2;
        transform: translate(0, 0) scale(0.3);
    }
}

.index_page span {
    position: relative;
    display: block;
    font-size: 21px;
    margin: 0 0 100px 0;
}

.index_page span::after {
    position: absolute;
    inset: 50% auto auto 50%;
    transform: translate(0, 150%);
    content: "";
    width: 1px;
    height: 30px;
    background: #ddd;
}

.index_page p {
    font-weight: 300;
    line-height: 1.3;
    display: inline-block;
    /* background: var(--mc);
    padding: 2px 10px; */
}

.index_page p b {
    font-weight: 500;
}

/* section */
.sub01 {
    width: 100%;
    height: 100vh;
}

.sub01 .inner {
    display: flex;
    justify-content: space-between;
}

.sub01 .img_content figure {
    position: relative;
    height: 100vh;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.bg01 {
    position: absolute;
    inset: 25% auto auto -10px;
    transform: translate(0, 50%);
    display: inline-block;
    padding: 30px 50px;
    text-align: center;
    font-size: 25px;
    font-weight: 900;
    background: var(--mc);
}

.bg01 em {
    font-style: normal;
    font-size: 15px;
    font-weight: 300;
    margin: 0 0 0 10px;
}

.bg02 {
    position: absolute;
    inset: 25% -10px auto auto;
    transform: translate(0, 50%);
    display: inline-block;
    padding: 30px 50px;
    text-align: center;
    font-size: 25px;
    font-weight: 900;
    background: var(--mc);
}

.bg02 em {
    font-style: normal;
    font-size: 15px;
    font-weight: 300;
    margin: 0 0 0 10px;
}







.m_ver {
    position: absolute;
    inset: 50% 30px auto auto;
    transform: translate(0, -30%);
    width: 200px;
    border-radius: 20px;
    box-shadow: 0px 5px 15px 0px rgba(0, 0, 0, 0.35);
}

.img_bg::after {
    display: block;
    position: absolute;
    inset: 50% 28px auto auto;
    transform: translate(0, -127px);
    content: "";
    width: 200px;
    height: 430px;
    border-radius: 20px;
    background: rgba(38, 38, 38, 0.3);
}

.content {
    height: 510px;
    border-radius: 20px;
    box-shadow: 0px 5px 15px 0px rgba(0, 0, 0, 0.35);
    overflow: hidden;
}

/* .content .case {
    transform: translate(0, 0);
    transition: 10s;
}

.content:hover .case {
    transform: translate(0, calc(-100% + 515px));
} */

.sub01 .text_content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    text-align: left;
    margin: 0 0 0 100px;
    background: #fff;
}

.sub01 .text_content strong {
    display: block;
    margin: 0 0 10px 0;
    font-size: 15px;
    font-weight: 700;
    color: #888;
    text-indent: 2px;
}

.sub01 .text_content h2 {
    position: relative;
    margin: 0 0 40px 0;
    padding: 0 0 20px 0;
    font-size: 25px;
    font-weight: 500;
}

.sub01 .text_content .react {
    margin: 0 0 40px 15px;
    padding: 0 0 20px 0;
}

.p_dot::after {
    content: "";
    display: inline-block;
    width: 5px;
    height: 5px;
    background: #888;
    border-radius: 50%;
    margin: 0 0 0 15px;
    vertical-align: 4px;
}


.sub01 .text_content h2::after {
    content: "";
    position: absolute;
    inset: auto auto 0 0;
    width: 400px;
    height: 1px;
    background: #ddd;
}

.sub01 .text_content dl {
    line-height: 30px;
    margin: 0 0 40px 0;
    width: 500px;
    /* outline: 1px solid orange; */
}

.sub01 .text_content dt {
    float: left;
    width: 70px;
    font-size: 15px;
    font-weight: 700;
    /* outline: 1px solid red; */
}

.sub01 .text_content dd {
    font-weight: 300;
    font-size: 15px;

}

.sub01 .text_content .info {
    min-height: 75px;
    /* outline: 1px solid green; */
}

.sub01 .text_content .info_desc {
    min-height: 75px;
    line-height: 1.4;
    margin: 5px 0;
    word-break: keep-all;
}

.sub01 .text_content .info02 {
    min-height: 40px;
}

.sub01 .text_content .info_desc02 {
    min-height: 40px;
    line-height: 1.4;
    margin: 5px 0;
    word-break: keep-all;
}

.design {
    min-height: 75px;
}

.design_desc {
    min-height: 75px;
    line-height: 1.4;
    margin: 10px 0;
    word-break: keep-all;
}

.sub01 .text_content .info_desc b {
    font-weight: 500;
    display: inline-block;
    background: var(--mc);
    padding: 0 1px 0 1px;
}


.color_dots {
    display: flex;
    align-items: center;
    gap: 5px;
    height: 30px;
}

.color_dots .color {
    display: inline-block;
    padding: 5px;
}

.color_dots span {
    display: block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
}

.btn {
    display: flex;
    gap: 30px;
}

.web_page {
    font-size: 13px;
    font-weight: 500;
    color: #555;
}

.web_page>a {
    padding: 12px 50px;
    background: #fff;
    border-radius: 20px;
    box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.1);
}


/* section03 */
.sub02 {
    width: 100%;
    height: 100vh;
    background: #fff;
}

.sub02 .inner .img_content {
    order: 2;
}

.sub02 .text_content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    text-align: left;
    padding: 0 0 0 0;
    margin: 0 100px 0 0;
    background: #fff;
}

.sub02 .img_content figure {
    height: 100vh;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 0 0 0;
}

.react_text_title {
    min-height: 40px;
}

.react_text {
    min-height: 40px;
    line-height: 1.4;
    margin: 5px 0;
    word-break: keep-all;
}






.cover {
    position: fixed;
    inset: 0 0 auto 0;
    background: var(--mc);
    z-index: 999;
    font-size: 31px;
    font-weight: 700;
    line-height: 80px;
    color: #333;

    /* display: none; */
    height: 0;
    overflow: hidden;
    transition: 1s;
}

.cover em {
    font-style: normal;
    font-size: 19px;
    font-weight: 400;
    color: #555;
    margin: 0 0 0 40px;
}

.cover.on {
    height: 100vh;
}

.cover ul {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* 
.cover li {
    position: relative;
    display: block;
    margin: 0 0 0px 0;
    padding: 0 0 0 20px;
}

.cover li::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: #333;
} */

.cover em {
    position: relative;
}

.cover em::before {
    content: "";
    position: absolute;
    top: 31%;
    left: -18px;
    width: 1px;
    height: 12px;
    background: #888;
    opacity: 0.5;
}

.toTop {
    position: fixed;
    inset: auto 50px 0 auto;
    z-index: 999;
    background: #111;
}

.toTop a {
    display: block;
    width: 42px;
    height: 42px;
    padding: 10px;
}

.toTop i {
    font-size: 22px;
    color: #fff;
}

/* .toTop {
    position: fixed;
    inset: auto 50px 50px auto;
    z-index: 999;
    color: var(--mc);
    font-size: 27px;
    font-weight: 700;
} */

.mopen {
    position: fixed;
    inset: 50px 50px auto auto;
    z-index: 1000;

    width: 30px;
    height: 30px;
    cursor: pointer;
}

.mopen button {
    font-size: 0;
    border: none;
    outline: none;
    background: transparent;
}

.mopen::before,
.mopen::after {
    content: "";
    position: absolute;
    inset: 5px 5px auto 5px;
    background: #333;
    height: 1px;
}

.mopen::before {
    inset: 5px 5px auto 5px;
}

.mopen::after {
    inset: auto 5px 5px 5px;
}

.mopen button::before,
.mopen button::after {
    content: "";
    position: absolute;
    inset: 48.5% 10px auto 10px;
    transform: translate(0, 0);
    background: #333;
    height: 1px;
    transition: 0.5s;
}

.mopen.on::before,
.mopen.on::after {
    opacity: 0;

}

.mopen.on button::before {
    transition: 0.5s;
    inset: 48.5% 5px auto 5px;
    transform: translate(0, -50%) rotate(45deg);
}

.mopen.on button::after {
    transition: 0.5s 0.5s;
    inset: 48.5% 5px auto 5px;
    transform: translate(0, -50%) rotate(-45deg);
}

.contact {
    position: fixed;
    inset: auto 94px -42px auto;
    background: #111;
    padding: 15px;
    color: var(--mc);
    z-index: 9999;

    /* position: fixed;
    bottom: -42px;
    left: 50%;
    transform: translate(0, 0);
    margin: 0 0 0 -800px; */

    background: #111;
    padding: 15px;
    color: #fff;
    z-index: 9999;
    font-size: 14px;
    font-weight: 300;
    transition: 0.5s;

    height: 84px;
    cursor: pointer;
}

.contact i {
    color: #fff;
    font-size: 10px;
    line-height: 1.5;
}

.contact a {
    font-size: 13px;
}

.contact strong {
    margin: 0 10px 20px 0;
    font-weight: 700;
}

.contact.on {
    inset: auto 94px 0 auto;
}

.contact.on i {
    line-height: 1;
    margin: 0 0 20px 0;
    transform: rotate(180deg);
}

.contact_top {
    display: flex;
    justify-content: center;
}



/* contact_info */
.contact_info_wrap {
    height: 90vh;
    display: flex;
    align-items: center;
}

.contact_info_wrap_content {
    display: flex;
    align-items: center;
    text-align: left;
    background: #f9f9f9;
}

.contact_img {
    flex: 1;
}

.contact_info_text {
    flex: 1.5;
}

.contact_me img {
    width: 80%;
}

.contact_me {
    position: relative;
    overflow: hidden;
}

.contact_me::after {
    content: "";
    position: absolute;
    inset: -60px auto auto -20px;
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background: var(--mc);
    opacity: 0.5;
}

.con_name h3 {
    font-size: 25px;
    font-weight: 700;
    line-height: 80px;
    border-bottom: 1px solid #ddd;
    margin: 0 0 10px 0;
}

.contact_info_text {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 40px;
}

.contact_info_text strong {
    position: relative;
    display: block;
    margin: 0 0 10px 0;
    padding: 0 0 0 10px;
    font-size: 25px;
    font-weight: 500;
}

.contact_info_text strong::before {
    content: "";
    position: absolute;
    inset: 10px auto auto 0;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background: #333;
}

.contact_info_text i {
    margin: 0 15px 0 0;
}

.contact_info_text ul>li {
    line-height: 1.5;
    padding: 0 0 0 5px;
    font-size: 15px;
    font-size: 300;
    color: #555;
}

.con_name::after {
    content: "";
    position: absolute;
    inset: auto 50px -90px auto;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: var(--mc);
    opacity: 0.7;
}

.footer {
    height: 10vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #333;
    font-size: 15px;
    font-weight: 300;
    color: #ddd;
}

.footer p {
    margin: 0 0 10px 0;
}

.footer em {
    font-size: 13px;
    font-style: normal;
    color: #888;
}